export declare enum ZBarSymbolType {
    ZBAR_NONE = 0 /**< no symbol decoded */,
    ZBAR_PARTIAL = 1 /**< intermediate status */,
    ZBAR_EAN8 = 8 /**< EAN-8 */,
    ZBAR_UPCE = 9 /**< UPC-E */,
    ZBAR_ISBN10 = 10 /**< ISBN-10 (from EAN-13). @since 0.4 */,
    ZBAR_UPCA = 12 /**< UPC-A */,
    ZBAR_EAN13 = 13 /**< EAN-13 */,
    ZBAR_ISBN13 = 14 /**< ISBN-13 (from EAN-13). @since 0.4 */,
    ZBAR_I25 = 25 /**< Interleaved 2 of 5. @since 0.4 */,
    ZBAR_CODE39 = 39 /**< Code 39. @since 0.4 */,
    ZBAR_PDF417 = 57 /**< PDF417. @since 0.6 */,
    ZBAR_QRCODE = 64 /**< QR Code. @since 0.10 */,
    ZBAR_CODE128 = 128 /**< Code 128 */,
    ZBAR_SYMBOL = 255 /**< mask for base symbol type */,
    ZBAR_ADDON2 = 512 /**< 2-digit add-on flag */,
    ZBAR_ADDON5 = 1280 /**< 5-digit add-on flag */,
    ZBAR_ADDON = 1792 /**< add-on flag mask */
}
export declare enum ZBarConfigType {
    ZBAR_CFG_ENABLE = 0 /**< enable symbology/feature */,
    ZBAR_CFG_ADD_CHECK = 1 /**< enable check digit when optional */,
    ZBAR_CFG_EMIT_CHECK = 2 /**< return check digit when present */,
    ZBAR_CFG_ASCII = 3 /**< enable full ASCII character set */,
    ZBAR_CFG_NUM = 4 /**< number of boolean decoder configs */,
    ZBAR_CFG_MIN_LEN = 32 /**< minimum data length for valid decode */,
    ZBAR_CFG_MAX_LEN = 33 /**< maximum data length for valid decode */,
    ZBAR_CFG_UNCERTAINTY = 64 /**< required video consistency frames */,
    ZBAR_CFG_POSITION = 128 /**< enable scanner to collect position data */,
    ZBAR_CFG_X_DENSITY = 256 /**< image scanner vertical scan density */,
    ZBAR_CFG_Y_DENSITY = 257 /**< image scanner horizontal scan density */
}
